> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email Component

> Get one email component's blocks and metadata.

# Get Email Component

You can fetch a single component by id, including its `version` and whether it is pinned as a company default slot.

## Request

<ParamField path="componentId" type="string" required>
  Email component ID.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/email-components/cmp_123" \
  -H "Authorization: Bearer API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "component": {
      "id": "cmp_123",
      "companyId": "comp_123",
      "name": "Promo banner",
      "description": "Seasonal banner",
      "blocks": [{ "id": "block_1", "type": "text", "content": "<p>Sale</p>" }],
      "componentType": "section",
      "defaultSlot": null,
      "version": 1,
      "createdAt": "2026-01-10T10:00:00.000Z",
      "updatedAt": "2026-01-10T10:00:00.000Z"
    }
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Invalid API key"
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "Component not found"
  }
  ```
</ResponseExample>
